Bug 1300021 - The built config file for nova.conf includes build artifacts
The built config file for nova.conf includes build artifacts
Status: CLOSED WORKSFORME
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
medium Severity medium
: Upstream M3
: 13.0 (Queens)
Assigned To: Lee Yarwood
nlevinki
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 13:56 EST by Jon Schlueter
Modified: 2018-01-16 16:18 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-16 16:18:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Schlueter 2016-01-19 13:56:06 EST
Description of problem:

OSP 8 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. new build of openstack-nova (different build system)
2. add package to errata
3. look at rpmdiff warnings

Alternative method:
1. Build package locally
2. look at nova.conf
3. hostname and ip should not include local build machine artifacts.

Actual results:

rpmdiff config changes

Config file etc/nova/nova.conf changed content (comments/whitespace only) on noarch :
@@ -100,7 +100,7 @@
 #stub_compute=false
 
 # Publicly visible name for this console host (string value)
-#console_public_hostname=x86-035.build.eng.bos.redhat.com
+#console_public_hostname=x86-017.build.eng.bos.redhat.com
 
 # The topic console proxy nodes listen on (string value)
 #console_topic=console
@@ -193,7 +193,7 @@
 #s3_affix_tenant=false
 
 # IP address of this host (string value)
-#my_ip=10.16.48.114
+#my_ip=10.16.48.92
 
 # Block storage IP address of this host (string value)
 #my_block_storage_ip=$my_ip
@@ -202,7 +202,7 @@
 # a hostname, FQDN, or IP address. However, the node name must be valid within
 # an AMQP key, and if using ZeroMQ, a valid hostname, FQDN, or IP address
 # (string value)
-#host=x86-035.build.eng.bos.redhat.com
+#host=x86-017.build.eng.bos.redhat.com
 
 # Use IPv6 (boolean value)
 #use_ipv6=false
@@ -688,7 +688,7 @@
 
 # Console proxy host to use to connect to instances on this host. (string
 # value)
-#console_host=x86-035.build.eng.bos.redhat.com
+#console_host=x86-017.build.eng.bos.redhat.com
 
 # Name of network to use to set access IPs for instances (string value)
 #default_access_ip_network_name=<None>

Expected results:

no rpmdiff warnings


Additional info:
Comment 1 Jon Schlueter 2016-01-22 15:56:42 EST
This might actually need a bug against oslo-config-generator
Comment 3 Lee Yarwood 2018-01-16 16:18:32 EST
I'm closing this out as WORKSFORME after running through `rdopkg mockbuild` on 13, 12, 11, 10, 9 and 8 without seeing this issue.

# grep -rin ^#my_ip results_openstack-nova/ | sort
results_openstack-nova/12.0.6/22.el7ost/etc/nova/nova.conf:198:#my_ip=0.0.0.0
results_openstack-nova/13.1.4/15.el7ost/etc/nova/nova.conf:143:#my_ip=0.0.0.0
results_openstack-nova/14.1.0/1.el7ost/etc/nova/nova.conf:1328:#my_ip=0.0.0.0
results_openstack-nova/15.0.8/4.el7ost/etc/nova/nova.conf:1481:#my_ip=0.0.0.0
results_openstack-nova/16.0.2/8.el7ost/etc/nova/nova.conf:1338:#my_ip=<host_ipv4>
results_openstack-nova/17.0.0/0.20180103233857.0010e23.el7ost/etc/nova/nova.conf:1287:#my_ip=<host_ipv4>

# grep -rin ^python-oslo-config results_openstack-nova/ | sort | sort
results_openstack-nova/12.0.6/22.el7ost/installed_pkgs.log:362:python-oslo-config-2:2.4.0-1.1.el7ost.noarch 1446748252 777657 fd044071de9eb5eee606ddecfa5f0b88 installed
results_openstack-nova/13.1.4/15.el7ost/installed_pkgs.log:391:python-oslo-config-2:3.9.0-1.el7ost.noarch 1460723825 968410 2ddfed4c25a2c370f3739f996ea871ef installed
results_openstack-nova/14.1.0/1.el7ost/installed_pkgs.log:191:python-oslo-config-2:3.17.1-1.el7ost.noarch 1487088561 1074233 632b73fd020a0c5e1c60a2f8dd00324d installed
results_openstack-nova/15.0.8/4.el7ost/installed_pkgs.log:208:python-oslo-config-2:3.22.0-1.el7ost.noarch 1488197732 1132887 e0e5ba5545cb88dcd00153e32d0012cd installed
results_openstack-nova/16.0.2/8.el7ost/installed_pkgs.log:139:python-oslo-config-2:4.11.1-1.el7ost.noarch 1508904321 1199166 ebadecafe07cce165330ffe51b013073 installed

If it's still reproducible somewhere please reopen with a link to build logs and the offending nova.conf.

Note You need to log in before you can comment on or make changes to this bug.